package a;

import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import javax.swing.JFrame;
import javax.media.opengl.GLCanvas;

import zet.graphics.rayz.core.RayConsts;
import zet.graphics.rayz.core.RayScene;
import zet.math.Vector3d;

/**
 *
 * @author Mattias
 */
public class RayPanel extends GLCanvas {

	private static final long serialVersionUID = 1L;
	private Ragly ragly;
	private boolean rendering;

	public RayPanel(final JFrame frame, final RayScene scene) {
		setSize(RayConsts.WIDTH, RayConsts.HEIGHT);

		this.ragly = new Ragly(this, scene, null);
		addGLEventListener(ragly);
		addComponentListener(new ComponentAdapter() {

			@Override
			public void componentResized(ComponentEvent e) {
				RayConsts.WIDTH = getWidth();
				RayConsts.HEIGHT = getHeight();
			}
		});

		requestFocus();
	}

	public Ragly getRagly() {
		return ragly;
	}

	public Vector3d getPosition() {
		return ragly.getCamera().getPosition();
	}

	public Vector3d getDirection() {
		return ragly.getCamera().getDirection();
	}
}
